function createList(array, parent = document.body) { //відповідає за створення списку на основі масиву.
    const list = document.createElement("ul"); //створює <ul> з допомогою методу document.createElement("ul")

    array.forEach((item) => {
        //проходимо по кожному елементу масиву за допомогою методу forEach і створюємо новий елемент списку <li>
        const listItem = document.createElement("li");

        listItem.textContent = item; //встановлює текстовий контент елементу listItem, який буде відображено в списку.
        list.appendChild(listItem); //додає новий елемент listItem до кореневого елементу списку list.
    });
parent.appendChild(list);//додає створений список list до DOM-дерева нашого веб-сторінки.
// parent є другим аргументом нашої функції createList і за замовчуванням встановлено на document.body.
}
const myArray = ["hello", "world", "Kiev", "Kharkiv", "Odessa", "Lviv"];
createList(myArray);








/*
Теоретичні питання
1.Опишіть, як можна створити новий HTML тег на сторінці.
2.Опишіть, що означає перший параметр функції insertAdjacentHTML і опишіть можливі варіанти цього параметра.
3.Як можна видалити елемент зі сторінки?


1.Новий HTML тег можна створити за допомогою методу createElement об'єкта document.
Наприклад, щоб створити новий тег div, потрібно викликати метод createElement з аргументом 'div'

2.Метод insertAdjacentHTML дозволяє вставити HTML-код у вказане місце в контенті елемента.
Перший параметр методу вказує, куди потрібно вставити HTML-код, і може приймати чотири значення:

*beforebegin - вставити HTML-код перед початком елементу (як наступний сусід);
*afterbegin - вставити HTML-код в початок елементу, відразу після відкриваючого тега;
*beforeend - вставити HTML-код в кінець елементу, перед закриваючим тегом;
*afterend - вставити HTML-код після елемента, як попередній сусід.

3.Є кілька способів видалення елемента зі сторінки з допомогою JavaScript. Ось декілька з них:

*removeChild(): цей метод видаляє дочірній елемент з батьківського елемента.(Для його використання необхідно спочатку
 отримати доступ до батьківського елемента та потім до самого елемента, який треба видалити.)

*remove(): цей метод можна використовувати безпосередньо на самому елементі, який потрібно видалити.

*outerHTML: цей підхід полягає в тому, що ми можемо змінити HTML-код батьківського елемента,
 видаливши з нього HTML-код елемента, який потрібно видалити.

 */

































